Bitcoin Forum
November 21, 2017, 09:36:20 PM *
News: Latest stable version of Bitcoin Core: 0.15.1  [Torrent].
 
   Home   Help Search Donate Login Register  
Pages: « 1 2 [3] 4 5 6 7 8 9 10 11 12 »  All
  Print  
Author Topic: The collective Mastercoin-explorer, Mastercoin-ruby and Mastercoin-wallet topic  (Read 19293 times)
Tachikoma
Hero Member
*****
Offline Offline

Activity: 938



View Profile WWW
November 05, 2013, 04:37:14 PM
 #41

Just some more notes and suggestions:

- I have 0.0.4 running, yet the Window title still says "Mastercoin wallet v0.0.3"
Woopsy! I will make sure that doesn't happen again Smiley


- The label "My purchase offers" is cutted off on my system: http://i.imgur.com/Je9AoWY.png
Will fix that for the next release

- Will this wallet be able to manage multiple addresses at some point? That would be awesome.

Yeah I've considered doing this, shouldn't be too hard Smiley

Electrum: the convenience of a web wallet, without the risks | Bytesized Seedboxes BTC/LTC supported
1511300180
Hero Member
*
Offline Offline

Posts: 1511300180

View Profile Personal Message (Offline)

Ignore
1511300180
Reply with quote  #2

1511300180
Report to moderator
Join ICO Now Coinlancer is Disrupting the Freelance marketplace!
Advertised sites are not endorsed by the Bitcoin Forum. They may be unsafe, untrustworthy, or illegal in your jurisdiction. Advertise here.
1511300180
Hero Member
*
Offline Offline

Posts: 1511300180

View Profile Personal Message (Offline)

Ignore
1511300180
Reply with quote  #2

1511300180
Report to moderator
1511300180
Hero Member
*
Offline Offline

Posts: 1511300180

View Profile Personal Message (Offline)

Ignore
1511300180
Reply with quote  #2

1511300180
Report to moderator
romerun
Legendary
*
Offline Offline

Activity: 1078


Bitcoin is new, makes sense to hodl.


View Profile
November 05, 2013, 07:41:14 PM
 #42

it's saying cannot get bitcoin address from private key which I got from dumpprivkey

Did you check for trailing whitespace? Does your key start with a 5?

No leading or trailing space, it starts with K

You got it from Bitcoind's dumpprivkey? Normally these keys are WIP format as far as I know and I think they should start with a 5.

hm.. that's what Bitcoin-QT 0.85 gave me in console. My wallet is also encrypted, is that the reason why it does not give me standard format? um.. I'm on osx, don't have bitcoind.

According to the spec:

Quote
Wallet import format is the most common way to represent private keys in Bitcoin. For private keys associated with uncompressed public keys, they are 51 characters and always start with the number 5. Private keys associated with compressed public keys are 52 characters and start with a capital L or K. This is the same private key in wallet import format.

I have yet found a way to covert it to the 5 format.

Can you just support the "compressed" format ?
Tachikoma
Hero Member
*****
Offline Offline

Activity: 938



View Profile WWW
November 05, 2013, 07:52:18 PM
 #43

it's saying cannot get bitcoin address from private key which I got from dumpprivkey

Did you check for trailing whitespace? Does your key start with a 5?

No leading or trailing space, it starts with K

You got it from Bitcoind's dumpprivkey? Normally these keys are WIP format as far as I know and I think they should start with a 5.

hm.. that's what Bitcoin-QT 0.85 gave me in console. My wallet is also encrypted, is that the reason why it does not give me standard format? um.. I'm on osx, don't have bitcoind.

According to the spec:

Quote
Wallet import format is the most common way to represent private keys in Bitcoin. For private keys associated with uncompressed public keys, they are 51 characters and always start with the number 5. Private keys associated with compressed public keys are 52 characters and start with a capital L or K. This is the same private key in wallet import format.

I have yet found a way to covert it to the 5 format.

Can you just support the "compressed" format ?

You mean the uncompressed format? That should also work; it's weird it doesn't for you. How many characters is your key? I will try some things Smiley

Edit: Think I can make it work for you, will post an update in a few minutes Smiley

Electrum: the convenience of a web wallet, without the risks | Bytesized Seedboxes BTC/LTC supported
Tachikoma
Hero Member
*****
Offline Offline

Activity: 938



View Profile WWW
November 05, 2013, 08:13:23 PM
 #44

I've just release 0.0.5.


* All private key formats should now work, please let me know if it doesn't.
* Fixed Label offset
* Set proper version number

Please let me know if this works for you romerun Smiley

Electrum: the convenience of a web wallet, without the risks | Bytesized Seedboxes BTC/LTC supported
superfluouso
Full Member
***
Offline Offline

Activity: 202


View Profile
November 05, 2013, 10:31:22 PM
 #45

Well - still kinda stuck.  Originally I was running ruby 2.0 with QT5 and later QT4 downloaded and installed via qt-project.org.  Could not install wallet so went back, removed QT and attempted to install via brew after doing brew update (also, I was using MacPorts which I first removed).  qt install was falling using brew so I was able to install it by using:

brew install https://raw.github.com/cliffrowley/homebrew/patched_qt/Library/Formula/qt.rb --HEAD

per https://github.com/mxcl/homebrew/pull/23793

and that was successful.  But still could not install wallet.  Thought maybe related to ruby 2.0 so changed to 1.9.3-p448

Now when I attempt to install wallet, I'm still getting smoke qtbinding errors for example:

Scanning dependencies of target smokeqtdbus
[ 42%] Building CXX object smoke/qtdbus/CMakeFiles/smokeqtdbus.dir/smokedata.o
/Users/xxx/.rvm/rubies/ruby-1.9.3-p448/lib/ruby/gems/1.9.1/gems/qtbindings-4.8.3.0/ext/build/smoke/qtdbus/smokedata.cpp:12:32: error: use of undeclared identifier 'DBusError'
        case 1: return (void*)(DBusError*)xptr;
                               ^
/Users/xxx/.rvm/rubies/ruby-1.9.3-p448/lib/ruby/gems/1.9.1/gems/qtbindings-4.8.3.0/ext/build/smoke/qtdbus/smokedata.cpp:12:42: error: expected expression
        case 1: return (void*)(DBusError*)xptr;

.
.
.
fatal error: too many errors emitted, stopping now [-ferror-limit=]
20 errors generated.
make[3]: *** [smoke/qtdbus/CMakeFiles/smokeqtdbus.dir/smokedata.o] Error 1
make[2]: *** [smoke/qtdbus/CMakeFiles/smokeqtdbus.dir/all] Error 2
make[1]: *** [all] Error 2
make: *** [build] Error 2

So that's where I'm stuck now...any thoughtst?
Considering setting up on an old macbook but need to free drive space first..
Tachikoma
Hero Member
*****
Offline Offline

Activity: 938



View Profile WWW
November 05, 2013, 10:41:09 PM
 #46

This is a long shot but could you try (re)installing ruby with rvm using 'rvm install 1.9.3 -C --enable-shared', and then try installing qtbindings again.

Electrum: the convenience of a web wallet, without the risks | Bytesized Seedboxes BTC/LTC supported
romerun
Legendary
*
Offline Offline

Activity: 1078


Bitcoin is new, makes sense to hodl.


View Profile
November 06, 2013, 12:16:28 AM
 #47

I've just release 0.0.5.


* All private key formats should now work, please let me know if it doesn't.
* Fixed Label offset
* Set proper version number

Please let me know if this works for you romerun Smiley

o yea, now it's working, schwing!
ASIC-8Tile
Sr. Member
****
Offline Offline

Activity: 279


View Profile
November 06, 2013, 01:56:22 AM
 #48


Done. But still get errors when I run "gem install mastercoin-wallet"

The I gem install mastercoin-wallet
Fetching: bitcoin-ruby-0.0.2.gem (100%)
Successfully installed bitcoin-ruby-0.0.2
Fetching: sequel-4.1.1.gem (100%)
Successfully installed sequel-4.1.1
Fetching: thor-0.18.1.gem (100%)
Successfully installed thor-0.18.1
Fetching: activesupport-3.0.0.gem (100%)
Successfully installed activesupport-3.0.0
Fetching: mastercoin-ruby-0.1.0.gem (100%)
Successfully installed mastercoin-ruby-0.1.0
Fetching: qtbindings-4.8.3.0.gem (100%)
Building native extensions.  This could take a while...
ERROR:  Error installing mastercoin-wallet:
   ERROR: Failed to build gem native extension.

    /Users/XXXX/.rvm/rubies/ruby-1.9.3-p448/bin/ruby extconf.rb

make
mkdir ext/build
mkdir bin/1.8
mkdir bin/1.9
mkdir bin/plugins
mkdir bin/plugins/accessible
mkdir bin/plugins/bearer
mkdir bin/plugins/codecs
mkdir bin/plugins/designer
mkdir bin/plugins/graphicssystems
mkdir bin/plugins/iconengines
mkdir bin/plugins/imageformats
mkdir bin/plugins/phonon_backend
mkdir bin/plugins/qmltooling
mkdir bin/plugins/sqldrivers
mkdir lib/1.8
mkdir lib/1.9
cd ext/build; rm -rf CMakeFiles
cd ext/build; rm -rf generator
cd ext/build; rm -rf smoke
cd ext/build; rm -rf ruby
cd ext/build; rm *
rm: *: No such file or directory
make: [clean] Error 1 (ignored)
cd ext/build; \
cmake \
-G "Unix Makefiles" \
-Wno-dev \
-DENABLE_SMOKE=on \
-DENABLE_QTCORE_SMOKE=on \
-DENABLE_QTNETWORK_SMOKE=on \
-DENABLE_QTDBUS_SMOKE=on \
-DENABLE_QTGUI_SMOKE=on \
-DENABLE_QTSVG_SMOKE=on \
-DENABLE_QTSQL_SMOKE=on \
-DENABLE_QTXML_SMOKE=on \
-DENABLE_QTXMLPATTERNS_SMOKE=on \
-DENABLE_QTOPENGL_SMOKE=on \
-DENABLE_QTWEBKIT_SMOKE=on \
-DENABLE_QTSCRIPT_SMOKE=on \
-DENABLE_QTUITOOLS_SMOKE=on \
-DENABLE_QTTEST_SMOKE=on \
-DENABLE_QTMULTIMEDIA_SMOKE=on \
-DENABLE_QTRUBY=on \
-DENABLE_QTWEBKIT_RUBY=on \
-DENABLE_QTUITOOLS_RUBY=on \
-DENABLE_QTSCRIPT=on \
-DENABLE_QTTEST=on \
..
/bin/sh: cmake: command not found
make: [build] Error 127 (ignored)
cd ext/build; make
make[1]: *** No targets specified and no makefile found.  Stop.
make: *** [build] Error 2


Gem files will remain installed in /Users/XXXX/.rvm/gems/ruby-1.9.3-p448/gems/qtbindings-4.8.3.0 for inspection.
Results logged to /Users/XXXX/.rvm/gems/ruby-1.9.3-p448/gems/qtbindings-4.8.3.0/./gem_make.out

Tried to then run "mastercoin-wallet" but "-bash: mastercoin-wallet: command not found"

Tachikoma
Hero Member
*****
Offline Offline

Activity: 938



View Profile WWW
November 06, 2013, 08:39:41 AM
 #49

Did you install QT?

Electrum: the convenience of a web wallet, without the risks | Bytesized Seedboxes BTC/LTC supported
ASIC-8Tile
Sr. Member
****
Offline Offline

Activity: 279


View Profile
November 06, 2013, 01:00:53 PM
 #50

Yes

Tachikoma
Hero Member
*****
Offline Offline

Activity: 938



View Profile WWW
November 06, 2013, 01:16:25 PM
 #51

Yes

Try brew install cmake Smiley

Electrum: the convenience of a web wallet, without the risks | Bytesized Seedboxes BTC/LTC supported
ASIC-8Tile
Sr. Member
****
Offline Offline

Activity: 279


View Profile
November 06, 2013, 01:25:42 PM
 #52

Installed.

Then ran "gem install mastercoin-wallet"


Building native extensions.  This could take a while...
ERROR:  Error installing mastercoin-wallet:
   ERROR: Failed to build gem native extension.

    /Users/XXXX/.rvm/rubies/ruby-1.9.3-p448/bin/ruby extconf.rb

make
mkdir ext/build
mkdir bin/1.8
mkdir bin/1.9
mkdir bin/plugins
mkdir bin/plugins/accessible
mkdir bin/plugins/bearer
mkdir bin/plugins/codecs
mkdir bin/plugins/designer
mkdir bin/plugins/graphicssystems
mkdir bin/plugins/iconengines
mkdir bin/plugins/imageformats
mkdir bin/plugins/phonon_backend
mkdir bin/plugins/qmltooling
mkdir bin/plugins/sqldrivers
mkdir lib/1.8
mkdir lib/1.9
cd ext/build; rm -rf CMakeFiles
cd ext/build; rm -rf generator
cd ext/build; rm -rf smoke
cd ext/build; rm -rf ruby
cd ext/build; rm *
rm: *: No such file or directory
make: [clean] Error 1 (ignored)
cd ext/build; \
cmake \
-G "Unix Makefiles" \
-Wno-dev \
-DENABLE_SMOKE=on \
-DENABLE_QTCORE_SMOKE=on \
-DENABLE_QTNETWORK_SMOKE=on \
-DENABLE_QTDBUS_SMOKE=on \
-DENABLE_QTGUI_SMOKE=on \
-DENABLE_QTSVG_SMOKE=on \
-DENABLE_QTSQL_SMOKE=on \
-DENABLE_QTXML_SMOKE=on \
-DENABLE_QTXMLPATTERNS_SMOKE=on \
-DENABLE_QTOPENGL_SMOKE=on \
-DENABLE_QTWEBKIT_SMOKE=on \
-DENABLE_QTSCRIPT_SMOKE=on \
-DENABLE_QTUITOOLS_SMOKE=on \
-DENABLE_QTTEST_SMOKE=on \
-DENABLE_QTMULTIMEDIA_SMOKE=on \
-DENABLE_QTRUBY=on \
-DENABLE_QTWEBKIT_RUBY=on \
-DENABLE_QTUITOOLS_RUBY=on \
-DENABLE_QTSCRIPT=on \
-DENABLE_QTTEST=on \
..
-- The C compiler identification is Clang 5.0.0
-- The CXX compiler identification is Clang 5.0.0
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
CMake Error at /usr/local/Cellar/cmake/2.8.12/share/cmake/Modules/FindQt4.cmake:1386 (message):
  Found unsuitable Qt version "" from NOTFOUND, this code requires Qt 4.x
Call Stack (most recent call first):
  generator/CMakeLists.txt:3 (find_package)


-- Configuring incomplete, errors occurred!
See also "/Users/XXXX/.rvm/gems/ruby-1.9.3-p448/gems/qtbindings-4.8.3.0/ext/build/CMakeFiles/CMakeOutput.log".
make: [build] Error 1 (ignored)
cd ext/build; make
make[1]: *** No targets specified and no makefile found.  Stop.
make: *** [build] Error 2


Gem files will remain installed in /Users/XXXX/.rvm/gems/ruby-1.9.3-p448/gems/qtbindings-4.8.3.0 for inspection.
Results logged to /Users/XXXX/.rvm/gems/ruby-1.9.3-p448/gems/qtbindings-4.8.3.0/./gem_make.out

Tachikoma
Hero Member
*****
Offline Offline

Activity: 938



View Profile WWW
November 06, 2013, 01:28:24 PM
 #53

How did you install QT?

Electrum: the convenience of a web wallet, without the risks | Bytesized Seedboxes BTC/LTC supported
ASIC-8Tile
Sr. Member
****
Offline Offline

Activity: 279


View Profile
November 06, 2013, 01:36:06 PM
 #54

http://download.qt-project.org/official_releases/qt/4.8/4.8.5/qt-mac-opensource-4.8.5.dmg


Tachikoma
Hero Member
*****
Offline Offline

Activity: 938



View Profile WWW
November 06, 2013, 01:37:23 PM
 #55

Please uninstall that and use the instructions from the readme. brew install qt

Electrum: the convenience of a web wallet, without the risks | Bytesized Seedboxes BTC/LTC supported
superfluouso
Full Member
***
Offline Offline

Activity: 202


View Profile
November 06, 2013, 03:52:01 PM
 #56

I really had to fight with qtbindings but finally got things going and I finally have a functioning mastercoin-wallet!  great work Tachikoma!...will start doing some testing after work.
Tachikoma
Hero Member
*****
Offline Offline

Activity: 938



View Profile WWW
November 06, 2013, 03:55:16 PM
 #57

Coolio! I'm considering enabling normal Mastercoin transactions for simple sends, so that it at least can be used to do trades.

Electrum: the convenience of a web wallet, without the risks | Bytesized Seedboxes BTC/LTC supported
Tachikoma
Hero Member
*****
Offline Offline

Activity: 938



View Profile WWW
November 06, 2013, 05:21:33 PM
 #58

If anybody is feeling adventurous I have updated the instructions on how to make it work on Windows. I wonder if it's complete so if anybody want to try it I would be grateful Smiley

 

Electrum: the convenience of a web wallet, without the risks | Bytesized Seedboxes BTC/LTC supported
ASIC-8Tile
Sr. Member
****
Offline Offline

Activity: 279


View Profile
November 06, 2013, 10:39:45 PM
 #59

Please uninstall that and use the instructions from the readme. brew install qt

Uninstalled and used the following, "brew install qt cmake" per instructions via readme

Warning: It appears you have MacPorts or Fink installed.
Software installed with other package managers causes known problems for
Homebrew. If a formula fails to build, uninstall MacPorts/Fink and try again.
==> Downloading http://download.qt-project.org/official_releases/qt/4.8/4.8.5/qt
######################################################################## 100.0%
==> ./configure -prefix /usr/local/Cellar/qt/4.8.5 -system-zlib -confirm-license
==> make
clang: error: linker command failed with exit code 1 (use -v to see invocation)
make[3]: *** [../../../../../../lib/QtWebKit.framework/QtWebKit] Error 1
make[2]: *** [release] Error 2
make[1]: *** [sub-WebKit-qt-QtWebKit-pro-make_default-ordered] Error 2
make: *** [sub-webkit-make_default-ordered] Error 2

READ THIS: https://github.com/mxcl/homebrew/wiki/troubleshooting

These open issues may also help:
    https://github.com/mxcl/homebrew/pull/23890
    https://github.com/mxcl/homebrew/pull/22283
    https://github.com/mxcl/homebrew/issues/23480
MacBook-Pro:~ XXXX$ gem install mastercoin-wallet
Building native extensions.  This could take a while...
ERROR:  Error installing mastercoin-wallet:
   ERROR: Failed to build gem native extension.

    /Users/XXXX/.rvm/rubies/ruby-1.9.3-p448/bin/ruby extconf.rb

make
mkdir ext/build
mkdir bin/1.8
mkdir bin/1.9
mkdir bin/plugins
mkdir bin/plugins/accessible
mkdir bin/plugins/bearer
mkdir bin/plugins/codecs
mkdir bin/plugins/designer
mkdir bin/plugins/graphicssystems
mkdir bin/plugins/iconengines
mkdir bin/plugins/imageformats
mkdir bin/plugins/phonon_backend
mkdir bin/plugins/qmltooling
mkdir bin/plugins/sqldrivers
mkdir lib/1.8
mkdir lib/1.9
cd ext/build; rm -rf CMakeFiles
cd ext/build; rm -rf generator
cd ext/build; rm -rf smoke
cd ext/build; rm -rf ruby
cd ext/build; rm *
rm: *: No such file or directory
make: [clean] Error 1 (ignored)
cd ext/build; \
cmake \
-G "Unix Makefiles" \
-Wno-dev \
-DENABLE_SMOKE=on \
-DENABLE_QTCORE_SMOKE=on \
-DENABLE_QTNETWORK_SMOKE=on \
-DENABLE_QTDBUS_SMOKE=on \
-DENABLE_QTGUI_SMOKE=on \
-DENABLE_QTSVG_SMOKE=on \
-DENABLE_QTSQL_SMOKE=on \
-DENABLE_QTXML_SMOKE=on \
-DENABLE_QTXMLPATTERNS_SMOKE=on \
-DENABLE_QTOPENGL_SMOKE=on \
-DENABLE_QTWEBKIT_SMOKE=on \
-DENABLE_QTSCRIPT_SMOKE=on \
-DENABLE_QTUITOOLS_SMOKE=on \
-DENABLE_QTTEST_SMOKE=on \
-DENABLE_QTMULTIMEDIA_SMOKE=on \
-DENABLE_QTRUBY=on \
-DENABLE_QTWEBKIT_RUBY=on \
-DENABLE_QTUITOOLS_RUBY=on \
-DENABLE_QTSCRIPT=on \
-DENABLE_QTTEST=on \
..
-- The C compiler identification is Clang 5.0.0
-- The CXX compiler identification is Clang 5.0.0
-- Check for working C compiler: /usr/bin/cc
-- Check for working C compiler: /usr/bin/cc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
CMake Error at /usr/local/Cellar/cmake/2.8.12/share/cmake/Modules/FindQt4.cmake:1386 (message):
  Found unsuitable Qt version "" from NOTFOUND, this code requires Qt 4.x
Call Stack (most recent call first):
  generator/CMakeLists.txt:3 (find_package)


-- Configuring incomplete, errors occurred!
See also "/Users/XXXX/.rvm/gems/ruby-1.9.3-p448/gems/qtbindings-4.8.3.0/ext/build/CMakeFiles/CMakeOutput.log".
make: [build] Error 1 (ignored)
cd ext/build; make
make[1]: *** No targets specified and no makefile found.  Stop.
make: *** [build] Error 2


Gem files will remain installed in /Users/XXXX/.rvm/gems/ruby-1.9.3-p448/gems/qtbindings-4.8.3.0 for inspection.
Results logged to /Users/XXXX/.rvm/gems/ruby-1.9.3-p448/gems/qtbindings-4.8.3.0/./gem_make.out
MacBook-Pro:~ XXXX$ mastercoin-wallet
-bash: mastercoin-wallet: command not found


Tachikoma
Hero Member
*****
Offline Offline

Activity: 938



View Profile WWW
November 06, 2013, 10:51:41 PM
 #60

I think this pull request handles your problems.

tl;dr brew update && brew install https://raw.github.com/cliffrowley/homebrew/patched_qt/Library/Formula/qt.rb --HEAD

Electrum: the convenience of a web wallet, without the risks | Bytesized Seedboxes BTC/LTC supported
Pages: « 1 2 [3] 4 5 6 7 8 9 10 11 12 »  All
  Print  
 
Jump to:  

Sponsored by , a Bitcoin-accepting VPN.
Powered by MySQL Powered by PHP Powered by SMF 1.1.19 | SMF © 2006-2009, Simple Machines Valid XHTML 1.0! Valid CSS!